# H225_CapacityReportingSpecification Class Reference

`#include <h225.h>`

Inheritance diagram for H225_CapacityReportingSpecification:

List of all members.

## Public Member Functions

| H225_CapacityReportingSpecification (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_CapacityReportingSpecification_when | m_when

## Constructor & Destructor Documentation

H225_CapacityReportingSpecification::H225_CapacityReportingSpecification | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_CapacityReportingSpecification::GetDataLength | ( |  | ) | const

PBoolean H225_CapacityReportingSpecification::Decode | ( | PASN_Stream & | strm | ) |

void H225_CapacityReportingSpecification::Encode | ( | PASN_Stream & | strm | ) | const

void H225_CapacityReportingSpecification::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_CapacityReportingSpecification::Compare | ( | const PObject & | obj | ) | const

PObject* H225_CapacityReportingSpecification::Clone | ( |  | ) | const

## Member Data Documentation

H225_CapacityReportingSpecification_when H225_CapacityReportingSpecification::m_when

The documentation for this class was generated from the following file:

- h225.h